%define anolis_release 3
%bcond_without tests
%global pypi_name jsonpointer
%global github_name python-json-pointer

Name:           python-%{pypi_name}
Version:        2.3
Release:        %{anolis_release}%{dist}
Summary:        Resolve JSON Pointers in Python
License:        BSD
URL:            https://python-json-pointer.readthedocs.org/
Source0:        https://github.com/stefankoegl/%{github_name}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

%description
A Python Library to resolve JSON Pointers according to RFC 6901.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Resolve JSON Pointers in Python
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires:  pyproject-rpm-macros
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
A Python Library to resolve JSON Pointers according to RFC 6901.

%package doc
Summary:        Documentation files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for python%{python3_pkgversion}-%{pypi_name}.

%prep
%autosetup -n %{github_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonpointer
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}%{_bindir}/jsonpointer-%{python3_version}
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer-%{python3_pkgversion}
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer

%if %{with tests}
%check
%{__python3} tests.py
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%{_bindir}/jsonpointer
%{_bindir}/jsonpointer-%{python3_version}
%{_bindir}/jsonpointer-%{python3_pkgversion}

%files doc
%doc AUTHORS README.md
%doc doc/tutorial.rst doc/commandline.rst doc/mod-jsonpointer.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.3-3
- Rebuild with python3.11

* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 2.3-2
- Optimize the spec file

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.3-1
- update to version 2.3
 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.2-1
- Init package from upstream v2.2
